photo

Ronny Drappier

shared this question
1 month ago

Employees Involved

photo

PIV Support

Admin

Statistics

8
Comments
1
Views

Share

Tags

2
votes

Any update planned to PHP v. 7.3.x for Open Realty?

Hi,

Is there any update planned to upgrade to PHP v. 7.3.x for Open Realty?

My server is going to upgrade to 7.3 in July. However, we can already test it before the upgrade becomes permanent, and the last version that is compatible with my site (caproli.com), is 7.0.

Please advise, Thank you.

Add Comment

Comments (8)

photo Employee
Best Response 2

Yes, the next update that supports PHP 5.6 -> 7.2 is already completed.

The last time I asked TT, they said it will be released once testing for updated TMAPs, TRETS and IDXManager versions have been completed, which they expected to be: Soon™

If you have any other questions or concerns you will want to open a support ticket at TT.

photo Employee
2

Yes, the next update that supports PHP 5.6 -> 7.2 is already completed.

The last time I asked TT, they said it will be released once testing for updated TMAPs, TRETS and IDXManager versions have been completed, which they expected to be: Soon™

If you have any other questions or concerns you will want to open a support ticket at TT.

photo
1

Thank you for your swift reply.

Any Idea if the Open Realty 7.2 version will work with the 7.3 from the Server?

Versions 5.6.x and 7.0.x will definitely no longer be available on the server from July 21. However, most likely 7.1 and 7.2 will remain for a while, so even if 7.2 is not compatible with 7.3, it will not be a huge issue until 7.2 also becomes depreciated, so it would be nice if 7.2 can work with 7.3 as well.

Once again, thank you for your reply.

Kind Regards.

photo Employee
1

There are no production ionCube loaders for PHP 7.3 yet, so I am going to say no.

photo
1

Thanks for letting me know,

I will check their Tech team and find out what they have to say about that.

I'll let you know.

Little update:

Please find attached a screenshot from my control panel, so you can see I'm not making a mistake.

I've contacted their support already and i'm waiting for a reply. Probably tomorrow.

photo
1

PIV Support wrote:

There are no production ionCube loaders for PHP 7.3 yet, so I am going to say no.

Apparently there is an IonCube loader for PHP 7.3.

The following is what Bravenet Support wrote:

--------------------------

'Dear Ronny Drappier,

The schedule updates are just to move all users on a Deprecated version (PHP 5.6.x and 7.0.x) to our current default PHP version 7.3. If PHP 7.3 does not work for you, you can use PHP 7.1 (4 months security updates), or PHP 7.2 (about a year & 4 months) instead. Just switch the PHP version prior to the scheduled upgrade date, and it will stay on that version (Until the next time we need to retire a php version due to end of life by the php developers)

Our PHP 7.3.4 does have IonCube 10.3.2, but I would probably recommend following the guidelines of your web developer (PHP 7.2, if they can do that). If they feel happy enough with PHP 7.3, then that works too. We support both, and 7.1.'

--------------------------

So I guess it's going to be 7.2 for a while. I only hope the 7.2 upgrade is ready before Bravenet makes the switch.

Thanks for your assistance.

Kind Regards.

photo Employee
1

ionCube loaders for PHP 7.3 are in *beta* and are not production-ready loaders.

photo
1

PIV Support wrote:

ionCube loaders for PHP 7.3 are in *beta* and are not production-ready loaders.

Oh well, they are going for 7.3, so I guess they know what they are doing. As long as my site keeps working with the 7.2 upgrade, I'm ok ;-)

Thank you for your time and assistance.

Kind Regards.

photo
1

Patiently waiting here too. We require the IDXManager update to move from 5.6, yikes.

Leave Comment

photo

Attach files...

The file must be a jpg, gif, png, bmp, ico, pdf, doc, rtf, txt, zip or rar no more than 20M